quilt updates from upstream oe.

git-svn-id: https://svn.o-hand.com/repos/poky/trunk@669 311d38ba-8fff-0310-9ca6-ca027cbcb966
This commit is contained in:
Chris Larson 2006-08-28 20:33:14 +00:00
parent f927cf6903
commit 01056cdbea
11 changed files with 325 additions and 55 deletions

View File

@ -1,13 +0,0 @@
Index: quilt/Makefile.in
===================================================================
--- quilt.orig/Makefile.in
+++ quilt/Makefile.in
@@ -216,7 +216,7 @@
-e 's:@LOCALEDIR''@:$(localedir):g' \
-e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE)-$(VERSION):g' \
$< > $@
- @chmod --reference=$< $@
+ @chmod `stat -f "%p" $<` $@
Makefile : Makefile.in
@echo "Please run ./configure by hand"

View File

@ -1,16 +0,0 @@
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#
--- quilt-0.32/Makefile.in~nostrip
+++ quilt-0.32/Makefile.in
@@ -240,7 +240,7 @@
@INSTALL@ -m 644 scripts/patchfns $(BUILD_ROOT)$(SCRIPTS_DIR)
@INSTALL@ -d $(BUILD_ROOT)$(LIB_DIR)
- @INSTALL@ -m 755 -s $(LIB:%=lib/%) $(BUILD_ROOT)$(LIB_DIR)/
+ @INSTALL@ -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(LIB_DIR)/
@INSTALL@ -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
@INSTALL@ -m 644 doc/README \

View File

@ -0,0 +1,71 @@
Add the aclocal.m4 as acinclude.m4
Index: quilt-0.45/acinclude.m4
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ quilt-0.45/acinclude.m4 2006-08-06 23:18:56.000000000 +0200
@@ -0,0 +1,64 @@
+dnl Allow configure to specify a specific binary
+dnl 1: Environment variable
+dnl 2: binary name
+dnl 3: optional list of alternative binary names
+dnl 4: optional list of additional search directories
+AC_DEFUN([QUILT_COMPAT_PROG_PATH],[
+ m4_define([internal_$2_cmd],[esyscmd(ls compat/$2.in 2>/dev/null)])
+
+ AC_ARG_WITH($2, AC_HELP_STRING(
+ [--with-$2], [name of the $2 executable to use]
+ m4_if(internal_$2_cmd,[],[],[ (use --without-$2
+ to use an internal mechanism)])),
+ [
+ if test x"$withval" = xnone; then
+ AC_MSG_ERROR([Invalid configure argument. use --without-$2])
+ fi
+ if test x"$withval" != xno; then
+ AC_MSG_CHECKING(for $2)
+ $1="$withval"
+ if test -e "$$1"; then
+ if test ! -f "$$1" -a ! -h "$$1" || test ! -x "$$1"; then
+ AC_MSG_ERROR([$$1 is not an executable file])
+ fi
+ fi
+ AC_MSG_RESULT([$$1])
+ if test ! -e "$$1"; then
+ AC_MSG_WARN([$$1 does not exist])
+ fi
+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
+ fi
+ ],[
+ m4_if([$3],[],[
+ AC_PATH_PROG($1,$2,,$PATH:$4)
+ ],[
+ AC_PATH_PROGS($1,$3,,$PATH:$4)
+ if test -n "$$1" -a "`expr "$$1" : '.*/\([[^/]]*\)$'`" != "$2"; then
+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
+ fi
+ ])
+ m4_if([$4],[],[],[
+ if test -n "$$1"; then
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+ for dir in "$4"; do
+ if test "`dirname $$1`" = "$dir"; then
+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
+ break
+ fi
+ done
+ IFS="$as_save_IFS"
+ fi
+ ])
+ ])
+ if test -z "$$1"; then
+ m4_if(internal_$2_cmd,[],[
+ AC_MSG_ERROR([Please specify the location of $2 with the option '--with-$2'])
+ ],[
+ AC_MSG_WARN([Using internal $2 mechanism. Use option '--with-$2' to override])
+ COMPAT_PROGRAMS="$COMPAT_PROGRAMS $2"
+ $1=$2
+ INTERNAL_$1=1
+ ])
+ fi
+ AC_SUBST($1)
+])

View File

@ -0,0 +1,223 @@
Patch is from the Fink projetc (http://fink.sf.net)
diff -r 7b51c215fc54 Makefile.in
--- a/Makefile.in Sat Mar 4 17:16:21 2006 -0800
+++ b/Makefile.in Sat Mar 4 17:59:09 2006 -0800
@@ -256,7 +256,7 @@ bin/guards.1 : bin/guards
-e 's:@VERSION''@:$(VERSION):g' \
-e 's:@RELEASE''@:$(RELEASE):g' \
-e 's:@LOCALEDIR''@:$(localedir):g' \
- -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE)-$(VERSION):g' \
+ -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE):g' \
$< > $@
@$(if $(filter-out $<,$(NON_EXEC_IN)),chmod +x $@)
@@ -320,11 +320,11 @@ endif
$(INSTALL) -d $(BUILD_ROOT)$(libdir)/$(PACKAGE)
$(INSTALL) -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(libdir)/$(PACKAGE)/
- $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
+ $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
$(INSTALL) -m 644 doc/README \
- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
+ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
$(INSTALL) -m 644 doc/quilt.pdf doc/README.MAIL \
- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
+ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
$(INSTALL) -d $(BUILD_ROOT)$(mandir)/man1
$(INSTALL) -m 644 $(MAN1) $(BUILD_ROOT)$(mandir)/man1/
@@ -367,7 +367,7 @@ uninstall ::
$(notdir $(MAN1))) \
$(BUILD_ROOT)$(etcdir)/bash_completion.d/quilt \
$(BUILD_ROOT)$(etcdir)/quilt.quiltrc \
- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
+ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
check: $(TESTS:test/%.test=test/.%.ok)
check-all: $(TESTS:test/%.test=check-%)
diff -r 7b51c215fc54 configure
--- a/configure Sat Mar 4 17:16:21 2006 -0800
+++ b/configure Sat Mar 4 17:59:09 2006 -0800
@@ -3882,29 +3882,6 @@ echo "$as_me: error: Please specify the
fi
-echo "$as_me:$LINENO: checking whether $CP -l works" >&5
-echo $ECHO_N "checking whether $CP -l works... $ECHO_C" >&6
-touch conftest.1
-if $CP -l conftest.1 conftest.2 2>/dev/null; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
- { { echo "$as_me:$LINENO: error: no
-
-You appear to have a \`cp' that does not support hard links.
-You can download GNU fileutils from ftp.gnu.org
-" >&5
-echo "$as_me: error: no
-
-You appear to have a \`cp' that does not support hard links.
-You can download GNU fileutils from ftp.gnu.org
-" >&2;}
- { (exit 1); exit 1; }; }
-fi
-
-
-
-
# Check whether --with-date or --without-date was given.
if test "${with_date+set}" = set; then
@@ -3999,32 +3976,6 @@ echo "$as_me: WARNING: Using internal da
INTERNAL_DATE=1
fi
-
-
-
-if test -z "$INTERNAL_DATE"; then
- echo "$as_me:$LINENO: checking whether $DATE --rfc-822 works" >&5
-echo $ECHO_N "checking whether $DATE --rfc-822 works... $ECHO_C" >&6
- if $DATE --rfc-822 >/dev/null 2>/dev/null; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
- else
- { { echo "$as_me:$LINENO: error: no
-
-If you don't have a version of \`date' that supports --rfc-822, you
-can specify '--without-date' and $PACKAGE_NAME will use its own
-internal date.
-" >&5
-echo "$as_me: error: no
-
-If you don't have a version of \`date' that supports --rfc-822, you
-can specify '--without-date' and $PACKAGE_NAME will use its own
-internal date.
-" >&2;}
- { (exit 1); exit 1; }; }
- fi
-fi
-
diff -r 7b51c215fc54 quilt/diff.in
--- a/quilt/diff.in Sat Mar 4 17:16:21 2006 -0800
+++ b/quilt/diff.in Sat Mar 4 17:59:09 2006 -0800
@@ -303,7 +303,7 @@ then
if [ ${#files[@]} -gt 0 ] \
&& ! ( cd $QUILT_PC/$last_patch &&
- cp -l --parents "${files[@]}" $workdir/ )
+ mycpl $workdir/ "${files[@]}" )
then
printf $"Failed to copy files to temporary directory\n" >&2
die 1
diff -r 7b51c215fc54 quilt/mail.in
--- a/quilt/mail.in Sat Mar 4 17:16:21 2006 -0800
+++ b/quilt/mail.in Sat Mar 4 17:59:09 2006 -0800
@@ -64,7 +64,7 @@ with a template for the introduction. Pl
msgid()
{
- local timestamp=$(date --utc "+%Y%m%d%H%M%S.%N")
+ local timestamp=$(date -u "+%Y%m%d%H%M%S.000000000")
echo "$timestamp@${opt_sender#*@}"
}
@@ -334,7 +334,7 @@ introduction="$(gen_tempfile)"
cat <<-EOF
Message-Id: <$(msgid)>
User-Agent: quilt/@VERSION@-@RELEASE@
- Date: $(date --rfc-822)
+ Date: $(date '+%a, %d %b %Y %H:%M:%S %z')
From: ${opt_from:-$opt_sender}
To: $(IFS=,; echo "${opt_to[*]}")
Cc: $(IFS=,; echo "${opt_cc[*]}")
@@ -401,7 +401,11 @@ fi
# increment the timestamp by one second and wait with sending until
# that time has arrived. This allows MUAs to show the messages in the
# correct order.
-last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
+#last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
+# fink has no date available that does -d, so we fudge with the time now.
+# If the user edits the date field in the message patch 0 could end up
+# out of order wrt the actual patches. just a minor cosmetic nit.
+last_ts=$(date '+%s')
num=1
for patch in "${patches[@]}"; do
@@ -412,7 +416,7 @@ for patch in "${patches[@]}"; do
# sleep 1
#done
((last_ts++))
- new_date="$(date --rfc-822 -d "1970/01/01 UTC $last_ts seconds")"
+ new_date="$(date -r $last_ts '+%a, %d %b %Y %H:%M:%S %z')"
modify="$(awk '
sub(/^Recipient-/, "") { r = $0
diff -r 7b51c215fc54 quilt/pop.in
--- a/quilt/pop.in Sat Mar 4 17:16:21 2006 -0800
+++ b/quilt/pop.in Sat Mar 4 17:59:09 2006 -0800
@@ -93,7 +93,7 @@ check_for_pending_changes()
if [ -d $QUILT_PC/$patch ]
then
if ! rmdir $workdir || # note that this is racey...
- ! cp -rl $QUILT_PC/$patch $workdir
+ ! (for i in "$(find "$QUILT_PC/$patch" -type f)"; do mycpl $workdir $i; done)
then
printf $"Failed to copy files to temporary directory\n" >&2
rm -rf $workdir
diff -r 7b51c215fc54 quilt/scripts/patchfns.in
--- a/quilt/scripts/patchfns.in Sat Mar 4 17:16:21 2006 -0800
+++ b/quilt/scripts/patchfns.in Sat Mar 4 17:59:09 2006 -0800
@@ -45,6 +45,28 @@ fi
fi
# ========================================================
+
+dater()
+{
+ ts=$(perl -e '@st = stat($ARGV[0]); print $st[9];' "$1")
+ fmt=$(date -r $ts "$2")
+
+ echo $fmt
+}
+
+mycpl ()
+{
+ target=$1
+ shift;
+
+ for src in "$@"
+ do
+ srcdir="${src%/*}"
+ test -n "$srcdir" && mkdir -p "$target/$srcdir"
+ ln $src "$target/$src"
+ done
+}
+
#declare -a exit_handlers
#
@@ -669,8 +691,7 @@ diff_file()
|| old_date=$'\t'"1970-01-01 00:00:00.000000000 +0000"
else
[ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \
- || old_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \
- -r "$old_file")
+ || old_date=$'\t'$(dater "$old_file" +'%Y-%m-%d %H:%M:%S.000000000 %z')
fi
if ! [ -s "$new_file" ]
then
@@ -682,8 +703,7 @@ diff_file()
|| new_date=$'\t'"1970-01-01 00:00:00.000000000 +0000"
else
[ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \
- || new_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \
- -r "$new_file")
+ || new_date=$'\t'$(dater "$new_file" +'%Y-%m-%d %H:%M:%S.000000000 %z')
fi
diff $QUILT_DIFF_OPTS $old_file $new_file \

View File

@ -0,0 +1,16 @@
require quilt_${PV}.inc
SRC_URI_append_build-darwin = "? file://non-gnu.patch;patch=1 "
RDEPENDS_${PN} = "diffstat-native patch-native bzip2-native"
FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/quilt-${PV}"
INHIBIT_AUTOTOOLS_DEPS = "1"
inherit autotools native
PATCHTOOL = "patch"
EXTRA_OECONF = "--disable-nls"
do_configure () {
oe_runconf
}

View File

@ -1,14 +0,0 @@
include quilt.inc
RDEPENDS_${PN} = "diffstat-native patch-native bzip2-native"
INHIBIT_AUTOTOOLS_DEPS = "1"
inherit autotools native
PATCHCLEANCMD = ""
PATCHCMD = "num='%s'; name='%s'; file='%s'; patch -p "$num" -i "$file""
EXTRA_OECONF = "--disable-nls"
do_configure () {
oe_runconf
}

View File

@ -0,0 +1,2 @@
PV="0.45"
require quilt-native.inc

View File

@ -4,10 +4,6 @@ SECTION = "devel"
MAINTAINER = "Chris Larson <kergoth@handhelds.org>"
LICENSE = "GPL"
SRC_URI = "http://download.savannah.gnu.org/releases/quilt/quilt-${PV}.tar.gz \
file://install.patch;patch=1 \
file://nostrip.patch;patch=1"
SRC_URI_append_build-darwin = " file://non-gnu.patch;patch=1 "
SRC_URI = "http://download.savannah.gnu.org/releases/quilt/quilt-${PV}.tar.gz "
S = "${WORKDIR}/quilt-${PV}"

View File

@ -1,7 +0,0 @@
RDEPENDS_${PN} += "patch diffstat bzip2"
include quilt.inc
inherit autotools gettext
include quilt-package.inc

View File

@ -0,0 +1,9 @@
RDEPENDS_${PN} += "patch diffstat bzip2"
require quilt_${PV}.inc
SRC_URI += "file://aclocal.patch;patch=1"
inherit autotools gettext
require quilt-package.inc

View File

@ -0,0 +1,3 @@
require quilt.inc
SRC_URI += "file://install.patch;patch=1"